trafgen: XTrafGen_CRamCmd Struct Reference

| trafgen Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XTrafGen_CRamCmd Struct Reference
Trafgen_v4_2

Command Ram word fields. More...

## Data Fields
UINTPTR | Address
| Address Driven to a*_addr line. More...
u32 | ValidCmd
| Valid Command. More...
u32 | LastAddress
| Last address. More...
u32 | Prot
| Driven to a*_prot line. More...
u32 | Id
| Driven to a*_id line. More...
u32 | Size
| Driven to a*_size line. More...
u32 | Burst
| Driven to a*_burst line. More...
u32 | Length
| Driven to a*_lock line. More...
u32 | MyDepend
| My depend command no. More...
u32 | OtherDepend
| Other depend Command no. More...
u32 | MasterRamIndex
| Master Ram Index. More...
u32 | Qos
| Driven to a*_qos line. More...
u32 | User
| Driven to a*_user line. More...
u32 | Cache
| Driven to a*_cache line. More...
u32 | ExpectedResp
| Expected response. More...

## Detailed Description

Command Ram word fields.

## Field Documentation

UINTPTR XTrafGen_CRamCmd::Address

Address Driven to a*_addr line.

Referenced by XTrafGenInterruptExample(), and XTrafGenPollingExample().

u32 XTrafGen_CRamCmd::Burst

Driven to a*_burst line.

u32 XTrafGen_CRamCmd::Cache

Driven to a*_cache line.

u32 XTrafGen_CRamCmd::ExpectedResp

Expected response.

u32 XTrafGen_CRamCmd::Id

Driven to a*_id line.

u32 XTrafGen_CRamCmd::LastAddress

Last address.

u32 XTrafGen_CRamCmd::Length

Driven to a*_lock line.

Driven to a*_len line

Referenced by XTrafGenInterruptExample(), and XTrafGenPollingExample().

u32 XTrafGen_CRamCmd::MasterRamIndex

Master Ram Index.

Referenced by XTrafGenInterruptExample(), and XTrafGenPollingExample().

u32 XTrafGen_CRamCmd::MyDepend

My depend command no.

Referenced by XTrafGenInterruptExample(), and XTrafGenPollingExample().

u32 XTrafGen_CRamCmd::OtherDepend

Other depend Command no.

Referenced by XTrafGenInterruptExample(), and XTrafGenPollingExample().

u32 XTrafGen_CRamCmd::Prot

Driven to a*_prot line.

u32 XTrafGen_CRamCmd::Qos

Driven to a*_qos line.

u32 XTrafGen_CRamCmd::Size

Driven to a*_size line.

Referenced by XTrafGenInterruptExample(), and XTrafGenPollingExample().

u32 XTrafGen_CRamCmd::User

Driven to a*_user line.

u32 XTrafGen_CRamCmd::ValidCmd

Valid Command.

Referenced by XTrafGen_AddCommand(), XTrafGenInterruptExample(), and XTrafGenPollingExample().